%define upstream_name	 I18N-Charset
%define upstream_version 1.414

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    IANA Character Set Registry names and Unicode::MapUTF8
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MT/MTHURN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(IO::Capture::Stderr)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This distribution contains a module I18N::Charset which maps Character
Set names to the names officially registered with IANA.  For example,
'Shift_JIS' is the official name of what is often referred to in HTML
headers as 'x-sjis'.

It also maps character set names to Unicode::Map, Unicode::Map8, and
Unicode::MapUTF8 conversion scheme names (if those modules are
installed).  For example, the Unicode::Map8 scheme name for
'windows-1251' is 'cp1251'.

It also maps character set names to their preferred MIME names.  For
example, the preferred MIME name for 'ISO_646.irv:1991' is 'US-ASCII'.

It also maps character set names to conversion scheme names as defined
by the iconv library.  For example, the iconv conversion scheme name
for 'Shift_JIS' is 'MS_KANJI'.

It also maps character set names to encoding names as defined
by the Encode module.  For example, the Encode encoding name
for 'Shift_JIS' is 'shiftjis'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%{__make} test

%install
%makeinstall_std

%files
%doc Changes MYMETA.yml README
%{perl_vendorlib}/I18N
%{_mandir}/*/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.414.0-4pclos2017
- rebuild against updates

